---
title: Privacy request
slug: reference/privacy-request
docTags: 
createdAt: 2026-08-23T06:01:06.452Z
---

{
  "id": "OnLE-cnLqCoLMqMmxsz9c",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api.forter-secure.com/privacy/requests",
    "servers": [
      {
        "url": "https://api.forter-secure.com/privacy/requests"
      }
    ],
    "name": "Privacy request",
    "description": "<p>In compliance with privacy laws, request access or deletion of customer data on behalf of the customer.\nThis endpoint should only be used if a data subject has specifically asked that their personal data be accessed or deleted, and their identity has been verified.\nThe response will include a unique ID assigned to this request.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "api-version",
          "type": "string",
          "example": "10.3",
          "description": "Specify the version of the API to target."
        },
        {
          "kind": "required",
          "name": "x-forter-siteid",
          "type": "string",
          "example": "a1b2c3d4e5f6",
          "description": "<p>Forter-assigned ID for your account. Note that your Site ID for your test site is different from your production site.</p>"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "<p>In compliance with privacy laws, request access or deletion of customer data on behalf of the customer.\nThis endpoint should only be used if a data subject has specifically asked that their personal data be accessed or deleted, and their identity has been verified.\nThe response will include a unique ID assigned to this request.</p>",
          "customType": "privacyRequestRequest",
          "schema": [
            {
              "name": "identifier",
              "kind": "required",
              "type": "object",
              "description": "Request identifier details",
              "modelRef": "#/components/schemas/Identifier",
              "customType": "Identifier",
              "schema": [
                {
                  "name": "type",
                  "kind": "required",
                  "type": "string<EMAIL>",
                  "description": "Type of identifier",
                  "example": "EMAIL",
                  "enum": [
                    "EMAIL"
                  ]
                },
                {
                  "name": "value",
                  "kind": "required",
                  "type": "string",
                  "description": "Identifier value",
                  "example": "user@test.com",
                  "maxLength": 75
                }
              ]
            },
            {
              "name": "requestType",
              "kind": "required",
              "type": "string<DELETE | ACCESS>",
              "description": "Type of this privacy request",
              "example": "ACCESS",
              "enum": [
                "DELETE",
                "ACCESS"
              ]
            }
          ],
          "modelRef": "#/components/schemas/privacyRequestRequest",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "basicAuth",
          "name": "basicAuth",
          "kind": "optional",
          "type": "http",
          "scheme": "basic"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Example privacyResponse",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "Response object for creation of a new privacy request.",
            "customType": "privacyResponse",
            "schema": [
              {
                "name": "requestUniqueId",
                "kind": "required",
                "type": "string",
                "description": "A Forter unique identifier that was assigned to a privacy request. It can be used to retrieve the status information and download the output data in case of an access request.",
                "example": "2023-04-23T060200931-ax32-privacy"
              }
            ],
            "modelRef": "#/components/schemas/privacyResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "<p>Bad Request (Often missing a required parameter)</p>",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "401",
        "description": "<p>Unauthorized (No valid API key provided)</p>",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "404",
        "description": "<p>Not Found (The requested item doesn't exist)</p>",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "500",
        "description": "<p>Server Error (Something went wrong on Forter's end)</p>",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "nVOV9PBYCY1DLTaVo2MVc",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api.forter-secure.com/privacy/requests \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --header 'api-version: 10.3' \\\n     --header 'x-forter-siteid: a1b2c3d4e5f6' \\\n     --data-raw '{\n     \"identifier\": {\n     \"type\": \"EMAIL\",\n     \"value\": \"user@test.com\"\n     },\n     \"requestType\": \"ACCESS\"\n     }'"
        },
        {
          "id": "l0okJru9K1Y60ScIr5dHN",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"api-version\", \"10.3\");\nmyHeaders.append(\"x-forter-siteid\", \"a1b2c3d4e5f6\");\n\nvar raw = JSON.stringify({\n   \"identifier\": {\n      \"type\": \"EMAIL\",\n      \"value\": \"user@test.com\"\n   },\n   \"requestType\": \"ACCESS\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.forter-secure.com/privacy/requests\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "_6o2ak2LT1QQDmv6o4wLk",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.forter-secure.com/privacy/requests\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"api-version\"] = \"10.3\"\nrequest[\"x-forter-siteid\"] = \"a1b2c3d4e5f6\"\nrequest.body = JSON.dump({\n   \"identifier\": {\n      \"type\": \"EMAIL\",\n      \"value\": \"user@test.com\"\n   },\n   \"requestType\": \"ACCESS\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "UjeIdI-if66tqZ0tpaQml",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.forter-secure.com/privacy/requests\"\n\npayload = json.dumps({\n   \"identifier\": {\n      \"type\": \"EMAIL\",\n      \"value\": \"user@test.com\"\n   },\n   \"requestType\": \"ACCESS\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'api-version': '10.3',\n   'x-forter-siteid': 'a1b2c3d4e5f6'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "nVOV9PBYCY1DLTaVo2MVc"
    },
    "results": {
      "languages": [
        {
          "id": "RZU5SHXB8YQvuTG3xbG-K",
          "language": "200",
          "code": "// Example privacyResponse\n{\n  \"requestUniqueId\": \"2023-04-23T060200931-ax32-privacy\"\n}"
        },
        {
          "id": "UApjhDPHm-8Py-BgXSQgB",
          "language": "400",
          "code": "// Bad Request (Often missing a required parameter)\n"
        },
        {
          "id": "GVRiElEhky5sfswwfUBTF",
          "language": "401",
          "code": "// Unauthorized (No valid API key provided)\n"
        },
        {
          "id": "MmKGEW8YcWjiisk01WBut",
          "language": "404",
          "code": "// Not Found (The requested item doesn't exist)\n"
        },
        {
          "id": "fp-qAS0SOp8E-YA4kZqQG",
          "language": "500",
          "code": "// Server Error (Something went wrong on Forter's end)\n"
        }
      ],
      "selectedLanguageId": "RZU5SHXB8YQvuTG3xbG-K"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}